/* DEC LN03+ command table */

/****** printer.device/printers/ LN03+ functions **************************
 *
 *      Name
 *      DEC LN03+
 *              written Bernie Mentink Christchurch  New Zealand 1/2/88
 *
 *      N.B The Near letter quality mode command (DEN2) enables the large
 *      font of the ln03+ printer... to be used by SHORP6 !!
 *
 **************************************************************************/

char *CommandTable[] = {
        "\033\143",             /* reset        RIS     */
        "\233\041\160",         /* initialize   RIN     */
        "\012",                 /* index        IND     */
        "\015\012",             /* new line     NEL     */
        "\215",                 /* rev index    RI      */
        "\233\060\155",         /* norm ch set  SGR0    */
        "\233\063\155",         /* italics on   SGR3    */
        "\233\062\063\155",     /* italics off  SGR23   */
        "\233\064\155",         /* underline on SGR4    */
        "\233\062\064\155",     /* underlin off SGR24   */
        "\233\061\155",         /* bold on      SGR1    */
        "\233\062\062\155",     /* bold off     SGR22   */
        "\377",                 /* set fore col SFC     */
        "\377",                 /* set back col SBC     */
        "\377",                 /* norm space   SHORP0  */
        "\23314m",              /* elite on     SHORP2  */
        "\23310m",              /* elite off    SHORP1  */
        "\23315m",              /*  fine on     SHORP4  */
        "\23310m",              /*  fine off    SHORP3  */
        "\23319m",              /* enlarged on SHORP6   */
        "\23310m",              /* enlarged off SHORP5  */
        "\377",                 /* shadow print on DEN6 */
        "\377",                 /* shadow print off DEN5        */
        "\377",                 /* double strike on DEN4        */
        "\377",                 /* double strike off DEN3       */
        "\2200;0;1yDMDRGTHH03WK00GG;\234\2201;19}DMDRGTHH03WK00GG\234",
                                /* NLQ on DEN2  */
        "\377",                 /* NLQ off DEN1 */
        "\377",                 /* superscript on SUS2  */
        "\377",                 /* superscript off SUS1 */
        "\377",                 /* subscript on SUS4    */
        "\377",                 /* subscript off SUS3   */
        "\377",                 /* normalize the line SUS0      */
        "\213",                 /* partial line up PLU  */
        "\214",                 /* partial line down PLD        */
        "\033(B",               /* US Character Set FNT0        */
        "\033(R",               /* French Character set FNT1    */
        "\033(K",               /* German Character setFNT2     */
        "\033(A",               /* UK character set FNT3        */
        "\033(E",               /* Danish I character set FNT4  */
        "\033(H",               /* Swedish character set FNT5   */
        "\033(Y",               /* Italian char set     FNT6    */
        "\033(Z",               /* Spanish char set     FNT7    */
        "\033(J",               /* Jap char set         FNT8    */
        "\033(6",               /* Norw char set        FNT9    */
        "\033(C",               /* Danish II char set   FNT10   */
        "\233\077\062\067\150", /* Prop on              PROP2   */
        "\233\077\062\067\154", /* Prop off             PROP1   */
        "\377",                 /* prop clear           PROP0   */
        "\377",                 /* set prop offset      TSS     */
        "\377",                 /* auto left justify    JFY5    */
        "\377",                 /* auto right justify   JFY7    */
        "\377",                 /* auto full justify    JFY6    */
        "\377",                 /* auto justify off     JFY0    */
        "\377",                 /* letter space (justify) JFY3  */
        "\377",                 /* word fill (auto center) JFY1 */
        "\233\062\172",         /* 8LPI                 VERP0   */
        "\233\061\172",         /* 6LPI                 VERP1   */
        "\377",                 /* set lines/page       SLPP    */
        "\377",                 /* perf skip            PERF    */
        "\377",                 /* perf skip off        PERF0   */
        "\377",                 /* left margin set      LMS     */
        "\377",                 /* right margin set     RMS     */
        "\377",                 /* top margin set       TMS     */
        "\377",                 /* bottom margin set    BMS     */
        "\377",                 /* set t&b margin       STBM    */
        "\377",                 /* set l&r margin       SLRM    */
        "\0334",                /* clear all margins    CAM     */
        "\210",                 /* horizontal tab set   HTS     */
        "\212",                 /* vertical tab set     VTS     */
        "\233\060\147",         /* clear horiz tab      TBC0    */
        "\233\063\147",         /* clear all horiz tabs TBC3    */
        "\233\061\147",         /* clear vert tab       TBC1    */
        "\233\064\147",         /* clear all vert tabs  TBC4    */
        "\377",                 /* clear all tabs       TBCALL  */
        "\377",                 /* set default tabs     TBSALL  */
        "\377"                  /* extended commands    EXTEND  */
};
